Get Port Details by unlocode
GET /ports/{unlocode} on the Ports Intelligence API. Base URL: https://api.sinay.ai/ports-intelligence/api/v1.
Retrieve detailed informations about a specific port by its UNLOCODE. It include the berth occupation rate and the difference with the average one.
Path parameters
Responses
Body: application/json, object.
| Field | Type | Required | Description |
|---|---|---|---|
portDetails | object | No | — |
portDetails.name | string | No | Name of the port. |
portDetails.longitude | number (float) | No | Longitude coordinate. |
portDetails.latitude | number (float) | No | Latitude coordinate. |
portDetails.unlocode | string | No | UN/LOCODE of the port. |
portDetails.countryName | string | No | Country name. |
portDetails.countryCode | string | No | ISO country code. |
portOccupationData | object, nullable | No | — |
portOccupationData.portOccupationLevel | number (float) | No | Current port occupation percentage. |
portOccupationData.portOccupationDifferenceFromAverage | number (float) | No | Difference with average occupation. |
Example response body:
{
"portDetails": {
"name": "LE HAVRE",
"longitude": 0.146204,
"latitude": 49.4726,
"unlocode": "FRLEH",
"countryName": "France",
"countryCode": "FR"
},
"portOccupationData": {
"portOccupationLevel": 56.652794,
"portOccupationDifferenceFromAverage": 5.075188
}
}